Bug 474110 - ctrl+arrow shortcuts not recognized in rxvt-unicode
ctrl+arrow shortcuts not recognized in rxvt-unicode
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: vim (Show other bugs)
9
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Karsten Hopp
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-02 04:20 EST by Jan Safranek
Modified: 2009-07-14 13:04 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 13:04:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Safranek 2008-12-02 04:20:43 EST
Description of problem:
when running a terminal application like vim or bash in urxvt with TERM=rxvt-unicode, ctrl+arrow does not produce expected results.

E.g. bash and vim should jump to next/previous word if I press ctrl+right/left.


Version-Release number of selected component (if applicable):
rxvt-unicode-9.05-1.fc9.x86_64
ncurses-base-5.6-18.20080628.fc9.x86_64

How reproducible:
always

Steps to Reproduce:
1. urxvt -e vim <somefile>
2. press ctrl + right
3.
  
Actual results:
vim enters INSERT mode and writes 'c'

Expected results:
cursor jumps to next word
Comment 1 Thomas E. Dickey 2008-12-13 14:04:24 EST
rxvt-unicode supplies its own terminfo and termcap descriptions,
which are not in ncurses (the problem would be in rxvt-unicode,
or patches to ncurses to add the terminal description).
Comment 2 Miroslav Lichvar 2009-01-29 13:04:57 EST
Unfortunately rxvt encodes modifier keys differently than xterm.

The xterm description has capabilities kLFT5 and kRIT5 to specify the sequences for control+left and control+right, but they don't seem to be supported in applications. Definitely not in readline and vim as they use only the termcap interface.

Applications where ctrl+arrow keys work have the sequences hardcoded. Thomas, please correct me if I'm wrong.

Maybe we could add the sequences to /etc/inputrc? Not sure about vim.
Comment 3 Thomas E. Dickey 2009-01-29 18:46:54 EST
Generally true - though there's no reason why vim couldn't
be modified to use terminfo and read the extended keys.

The termcap interface provides only 2-character names,
which would force even more obscure naming than I used
for the terminfo names.  (I don't really understand why
vim sticks with termcap, since it ends up making vim
rely on internal tables to make color work properly).
Comment 4 Ondrej Vasik 2009-01-30 05:06:56 EST
ctrl+arrow keys support for rxvt added to /etc/inputrc and built as setup-2.7.7-3.fc11 in RAWHIDE.
Comment 5 Ondrej Vasik 2009-01-30 05:25:25 EST
Reassigning to vim, bash things handled by setup in rawhide, will backport to f-9/f-10 in cummulative update...
Comment 6 Bug Zapper 2009-06-09 23:23:08 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Ondrej Vasik 2009-06-10 04:39:02 EDT
Forgot to close it when update was done ... Closing CURRENTRELEASE
Comment 8 Ondrej Vasik 2009-06-10 04:40:23 EDT
Aaah, oops ... need to drink coffee first, it's on vim side ... mea culpa, reopening...
Comment 9 Bug Zapper 2009-07-14 13:04:00 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.